## projectile 0.13.0

=== Makefile ===
EMACS ?= emacs
EMACSFLAGS =
CASK = cask

OBJECTS = projectile.elc

elpa:
	$(CASK) install
	$(CASK) update
	touch $@

.PHONY: build
build : elpa $(OBJECTS)

.PHONY: test
test : build
	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
		$(EMACSFLAGS) \
		-l test/run-tests

.PHONY: clean
clean :
	rm -f $(OBJECTS)
	rm -f elpa
	rm -rf .cask # Clean packages installed for development

%.elc : %.el
	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
		$(EMACSFLAGS) \
		-f batch-byte-compile $<

=== debian/changelog ===
projectile (0.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #807839)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 21 Feb 2016 13:01:59 -0700

=== debian/control ===
Source: projectile
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.19), dash-el (>= 2.11.0), elpa-noflet
Standards-Version: 3.9.6
Homepage: http://batsov.com/projectile/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/projectile.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/projectile.git/

Package: elpa-projectile
Architecture: all
Depends: ${misc:Depends}, emacs, dash-el (>= 2.11.0), ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0), elpa-flx-ido, exuberant-ctags
Enhances: emacs, emacs24
Description: project interaction library for Emacs
 This library enhances Emacs with easy project management and
 navigation. The concept of a project is simple: just a folder
 containing a special file.  Currently git, mercurial, darcs and
 bazaar repos are considered projects by default.  So are lein, maven,
 sbt, scons, rebar and bundler projects.  If you want to mark a folder
 manually as a project just create an empty .projectile file in it.
 .
 Some of Projectile's features:
 .
   * jump to a file in project
   * jump to files at point in project
   * jump to a directory in project
   * jump to a file in a directory
   * jump to a project buffer
   * jump to a test in project
   * toggle between files with same names but different extensions
     (e.g. `.h` <-> `.c/.cpp`, `Gemfile` <-> `Gemfile.lock`)
   * toggle between code and its test (e.g. `main.service.js` <->
     `main.service.spec.js`)
   * jump to recently visited files in the project
   * switch between projects you have worked on
   * kill all project buffers
   * replace in project
   * multi-occur in project buffers
   * grep in project
   * regenerate project etags or gtags
   * visit project in dired
   * run make in a project with a single key chord

Package: elpa-helm-projectile
Architecture: all
Depends: ${misc:Depends}, emacs, dash-el (>= 1.5.0), ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0), elpa-flx-ido
Enhances: emacs, emacs24
Description: Helm integration for Projectile
 With this library, Projectile can use Helm for completion.
 .
 See the documentation of elpa-helm and elpa-projectile for more
 details.

Package: elpa-persp-projectile
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0), elpa-flx-ido
Enhances: emacs, emacs24
Description: integrate perspective.el with projectile
 With this library, Emacs will create a separate perspective for each
 Projectile project.
 .
 See the documentation for elpa-persp and elpa-projectile for more
 details.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa
override_dh_auto_build:
	true
override_dh_auto_test:
	emacs --batch -Q \
		--eval "(progn (require 'package) (add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\"))" \
		-f package-initialize \
		-L /usr/share/emacs/site-lisp/dash-el \
		-l test/run-tests

## projectile 0.14.0

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,17 @@
 .PHONY: build
 build : elpa $(OBJECTS)
 
+.PHONY: byte-compile-strict
+byte-compile-strict : elpa
+	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
+		--directory "."                          \
+		$(EMACSFLAGS)                            \
+		--eval "(progn                           \
+			(setq byte-compile-error-on-warn t)  \
+			(batch-byte-compile))" projectile.el
+
 .PHONY: test
-test : build
+test : byte-compile-strict
 	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
 		$(EMACSFLAGS) \
 		-l test/run-tests

=== debian/changelog ===
projectile (0.14.0-2) unstable; urgency=medium

  * Update dependency dash-el => elpa-dash (Closes: #865915).
    Thanks to Mykola Nikishov for reporting the problem.
    - Bump dh-elpa build dependency to (>= 1.7).
      Ensures that elpa-dash is included in ${elpa:Depends}.
  * Add build-dependency on mkdocs-bootstrap (Closes: #884772).
    Thanks Antonio Terceiro for reporting the bug and indicating the fix.
  * Correct debhelper build-dep bound to match compat.
  * Switch from d/rules DH_ELPA_TEST_ERT_HELPER to entry in d/elpa-test
    config file (see dh_elpa_test(1)).
  * Drop d/source/local-options for dgit.
  * Declare compliance with Debian Policy 4.1.2.
  * Drop unused Lintian overrides:
    - package-needs-versioned-debhelper-build-depends
    - package-uses-experimental-debhelper-compat-version
    - privacy-breach-generic *html5shiv.js*
    - privacy-breach-generic *respond.min.js*

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 22 Dec 2017 11:40:19 +0000

projectile (0.14.0-1) unstable; urgency=medium

  * New upstream release.
    - elpa-persp-projectile & elpa-helm-projectile binary packages dropped.
      They now have their own source packages.
  * New projectile-doc binary package installing HTML manual.
    - elpa-projectile Suggests: projectile-doc
    - Add dh sequencer argument: --with linktree
    - New build dependency on dh-linktree
    - Add doc-base registration
    - Add d/clean
    - Add projectile-doc.lintian-overrides
  * Run test suite with dh_elpa_test.
    - Bump debhelper compat to 10.
    - Add source Lintian overrides:
      - package-needs-versioned-debhelper-build-depends
      - package-uses-experimental-debhelper-compat-version
  * Quilt patches:
    - Append to 0001-patch-README.patch to remove screenshot.
      Screenshots now installed by projectile-doc.
    - Drop 0003-fix-cleanup-known-projects-test.patch
      Merged upstream.
    - Rename 0004-debianise-exuberant-ctags-dep.patch
          to 0003-debianise-exuberant-ctags-dep.patch
    - Add 0004-drop-external-gratipay-image.patch
    - Add 0005-configure-mkdocs-for-Debian.patch
    - Refresh patches
  * d/copyright updates:
    - bump copyright years and add upstream author's e-mail address
    - remove paragraph for persp-projectile.el
  * Run wrap-and-sort -abst
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jul 2016 19:39:18 -0700

=== debian/control ===
Source: projectile
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 elpa-dash (>= 2.11.0),
 debhelper (>= 10),
 dh-elpa (>= 1.7),
 dh-linktree,
 elpa-noflet,
 mkdocs,
 mkdocs-bootstrap,
Standards-Version: 4.1.2
Homepage: http://batsov.com/projectile/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/projectile.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/projectile.git/

Package: elpa-projectile
Architecture: all
Depends:
 emacs,
 ${elpa:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Recommends:
 elpa-flx-ido,
 emacs (>= 46.0),
 exuberant-ctags,
Suggests:
 projectile-doc,
Enhances:
 emacs,
 emacs24,
Description: project interaction library for Emacs
 This library enhances Emacs with easy project management and
 navigation. The concept of a project is simple: just a folder
 containing a special file.  Currently git, mercurial, darcs and
 bazaar repos are considered projects by default.  So are lein, maven,
 sbt, scons, rebar and bundler projects.  If you want to mark a folder
 manually as a project just create an empty .projectile file in it.
 .
 Some of Projectile's features:
 .
   * jump to a file in project
   * jump to files at point in project
   * jump to a directory in project
   * jump to a file in a directory
   * jump to a project buffer
   * jump to a test in project
   * toggle between files with same names but different extensions
     (e.g. `.h` <-> `.c/.cpp`, `Gemfile` <-> `Gemfile.lock`)
   * toggle between code and its test (e.g. `main.service.js` <->
     `main.service.spec.js`)
   * jump to recently visited files in the project
   * switch between projects you have worked on
   * kill all project buffers
   * replace in project
   * multi-occur in project buffers
   * grep in project
   * regenerate project etags or gtags
   * visit project in dired
   * run make in a project with a single key chord

Package: projectile-doc
Section: doc
Architecture: all
Depends:
 elpa-projectile (= ${source:Version}),
 ${misc:Depends},
Description: project interaction library for Emacs - documentation
 Projectile enhances Emacs with easy project management and
 navigation. The concept of a project is simple: just a folder
 containing a special file.
 .
 This package include projectile's HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa --with linktree

# mkdocs under python3 needs a UTF locale or Click gives up
override_dh_auto_build:
	LANG=C.UTF-8 LC_ALL=C.UTF-8 mkdocs build --clean

override_dh_installdocs:
	dh_installdocs -X__pycache__ --link-doc=elpa-projectile

## projectile 1.0.0

=== Makefile ===
CASK = cask
export EMACS ?= emacs
EMACSFLAGS =
TESTFLAGS =

PKGDIR := $(shell EMACS=$(EMACS) $(CASK) package-directory)

SRCS = $(wildcard *.el)
OBJS = $(SRCS:.el=.elc)

.PHONY: compile test clean

elpa:
	$(CASK) install
	$(CASK) update
	touch $@

compile: $(OBJS)

clean:
	rm -f $(OBJS)

test: $(PKGDIR)
	$(CASK) exec ert-runner $(TESTFLAGS)

=== debian/changelog ===
projectile (1.0.0-1) unstable; urgency=medium

  * Update to new upstream version 1.0.0.
    - Refresh patches
    - Update debian/elpa-test.
  * Drop Debian changes to .gitignore.
    Mostly outdated and not especially useful, and prone to merge
    conflicts with new upstream releases.
  * Update debian/projectile-doc.linktrees for changes in mkdocs.
  * Patch test-helper.el so tests will run under autopkgtest too.
  * Install CHANGELOG.md as NEWS.gz.
    - New build-dep on dh-exec
    - Add override_dh_installchangelogs stanza.
      Avoids installing the changelog twice, as both NEWS.gz and changelog.gz.
  * Update Maintainer field for team rename.
  * Point Vcs-* at salsa.
  * Drop Built-Using.
    Used incorrectly in this package; see Debian Policy.
  * Enhance emacs25, not emacs24.
  * Drop --parallel from d/rules.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 11 Aug 2018 09:42:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: projectile
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
  elpa-dash (>= 2.11.0),
  debhelper (>= 10),
  dh-elpa (>= 1.7),
+ dh-exec,
  dh-linktree,
  elpa-noflet,
  mkdocs,
  mkdocs-bootstrap,
 Standards-Version: 4.1.2
 Homepage: http://batsov.com/projectile/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/projectile.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/projectile.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/projectile.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/projectile
 
 Package: elpa-projectile
 Architecture: all
@@ -23,7 +24,6 @@
  emacs,
  ${elpa:Depends},
  ${misc:Depends},
-Built-Using: ${misc:Built-Using}
 Recommends:
  elpa-flx-ido,
  emacs (>= 46.0),
@@ -32,7 +32,7 @@
  projectile-doc,
 Enhances:
  emacs,
- emacs24,
+ emacs25,
 Description: project interaction library for Emacs
  This library enhances Emacs with easy project management and
  navigation. The concept of a project is simple: just a folder

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa --with linktree

# mkdocs under python3 needs a UTF locale or Click gives up
override_dh_auto_build:
	LANG=C.UTF-8 LC_ALL=C.UTF-8 mkdocs build --clean

override_dh_installdocs:
	dh_installdocs -X__pycache__ --link-doc=elpa-projectile

override_dh_installchangelogs:
	dh_installchangelogs -XCHANGELOG.md

## projectile 2.0.0

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,14 @@
 	$(CASK) update
 	touch $@
 
+elpaclean:
+	rm -f elpa*
+	rm -rf .cask # Clean packages installed for development
+
 compile: $(OBJS)
 
 clean:
 	rm -f $(OBJS)
 
-test: $(PKGDIR)
-	$(CASK) exec ert-runner $(TESTFLAGS)
+test: $(PGKDIR)
+	$(CASK) exec buttercup -L .

=== debian/changelog ===
projectile (2.0.0-2) unstable; urgency=medium

  [ Ben Finney ]
  * Set “Homepage” to the current URL for the project.
    Closes: bug#919547.

  [ Sean Whitton ]
  * Drop 'emacs' from Depends.
    It was listed in both Depends and Recommends.
  * Add Breaks against emacs24{,-lucid,nox} (<< 1:25.1) (Closes: #920731).
    Thanks Andreas Beckmann for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Feb 2019 17:54:37 -0700

projectile (2.0.0-1) unstable; urgency=medium

  * Update to new upstream version 2.0.0.
    - Drop elpa-dash, elpa-noflet build-deps
    - Add elpa-buttercup build-dep
    - Drop d/elpa-test
      No longer needed thanks to upstream test suite changes.
  * Patch projectile--directory-p test for the Debian package build.
    Stop it from assuming that the user's home directory exists.
  * Patch the test init code & macros in projectile-test.el.
    - Stop it from trying to load projectile.el
      dh_elpa_test handles doing this.
    - Don't choose a sandbox location using `locate-library'.
      Creating the sandbox in /usr/share will fail, breaking the autopkgtest.
    - Load subr-x before running any tests.
      In this release, loading subr-x is wrapped in an eval-when-compile.
      Buttercup's macros don't seem to be able to cope with this.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 11 Jan 2019 20:18:32 -0700

projectile (1.0.0-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Stop overriding mkdocs theme, search works fine now.
  * Use dh_mkdocs instead of dh_linktree.
  * Prevent search_index.json from being compressed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 19 Dec 2018 12:21:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,22 @@
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
- elpa-dash (>= 2.11.0),
  debhelper (>= 10),
  dh-elpa (>= 1.7),
  dh-exec,
- dh-linktree,
- elpa-noflet,
- mkdocs,
- mkdocs-bootstrap,
+ elpa-buttercup,
+ mkdocs (>= 1.0.4),
 Standards-Version: 4.1.2
-Homepage: http://batsov.com/projectile/
+Homepage: https://www.projectile.mx/
 Vcs-Git: https://salsa.debian.org/emacsen-team/projectile.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/projectile
 
 Package: elpa-projectile
 Architecture: all
 Depends:
- emacs,
  ${elpa:Depends},
  ${misc:Depends},
+Breaks: emacs24 (<< 1:25.1), emacs24-lucid (<< 1:25.1), emacs24-nox (<< 1:25.1)
 Recommends:
  elpa-flx-ido,
  emacs (>= 46.0),
@@ -69,6 +66,7 @@
 Depends:
  elpa-projectile (= ${source:Version}),
  ${misc:Depends},
+ ${mkdocs:Depends},
 Description: project interaction library for Emacs - documentation
  Projectile enhances Emacs with easy project management and
  navigation. The concept of a project is simple: just a folder

## projectile 2.1.0

=== Makefile ===
CASK = cask
export EMACS ?= emacs
EMACSFLAGS =
TESTFLAGS =

SRCS = $(wildcard *.el)
OBJS = $(SRCS:.el=.elc)

.PHONY: compile test clean elpa

all: compile

elpa-$(EMACS):
	$(CASK) install
	$(CASK) update
	touch $@

elpa: elpa-$(EMACS)

elpaclean:
	rm -f elpa*
	rm -rf .cask # Clean packages installed for development

compile: elpa
	$(CASK) build

clean:
	rm -f $(OBJS)

test: elpa
	$(CASK) exec buttercup -L .

=== debian/changelog ===
projectile (2.1.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Suggest elpa-ag.
  * Update to new upstream version 2.1.0 (Closes: #950902).

  [ Nicholas D Steeves ]
  * Add fd-find, a faster alternative to GNU find, to Suggests.
    Projectile 2.1.0 will automatically prefer "fd" to "find" when "fd" is
    found.
  * Patch upstream source to check for "fdfind" rather than "fd" so that
    its autodetection will function correctly on Debian systems.
  * Patch CHANGELOG.md and doc/configuration.md to direct users to our
    fd-find package rather than the upstream homepage; this is for
    consistency with the "refer to Debian packages rather than upstream
    homepages" commit aka: 0002-error-refer-Debian-package.patch.
  * Drop emacs25 from enhances, because it was a dummy transitional
    package in buster and does not exist in bullseye.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Feb 2020 08:12:11 -0700

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,11 @@
  emacs (>= 46.0),
  exuberant-ctags,
 Suggests:
+ elpa-ag,
+ fd-find,
  projectile-doc,
 Enhances:
- emacs,
- emacs25,
+ emacs
 Description: project interaction library for Emacs
  This library enhances Emacs with easy project management and
  navigation. The concept of a project is simple: just a folder

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with elpa --with linktree
+	dh $@ --with elpa --with mkdocs
 
 # mkdocs under python3 needs a UTF locale or Click gives up
 override_dh_auto_build:
@@ -12,3 +12,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XCHANGELOG.md
+
+override_dh_compress:
+	dh_compress -Xsearch_index.json

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/projectile-$1\.tar\.gz/ \
  https://github.com/bbatsov/projectile/tags .*/v?(\d\S*)\.tar\.gz

## projectile 2.5.0

=== debian/changelog ===
projectile (2.5.0-1) unstable; urgency=medium

  * Update to new upstream version 2.5.0.
  * Adopt the package from Sean Whitton (Closes: #1003031).
  * Revert to plain patches-unapplied workflow.
  * Get rid of the projectile-doc package, put the documentation in the
    main package directly.
  * Adapt to new documentation build (Closes: #988767).
  * Bump debhelper compat to 13.

  * d/copyright:
    - Bump copyright years.

  * d/control:
    - Bump standards version to 4.5.1 (no changes required).
    - Replace mkdocs with asciidoctor for documentation build.
    - Remove elpa-flx-ido from Recommends.
    - Move exuberant-ctags from Recomments to Suggests.
    - Add ripgrep to Suggests.
    - Rewrite package description.
    - Added optional Rules-Requires-Root field to respect Debian Policy.

  * d/patches:
    - Refresh and extend patch 001 (more extension packages, correct
    links).
    - Refresh patches 002, 003, 006, 007 and 008.
    - Drop patch 005 (mkdocs) since mkdocs is not used anymore.
    - Improve patch 005 (test hack) : test for root directory.
    - Add patch 009 to mention elpa-ggtags instead of upstream.
    - Add Forwarded field (DEP-3 guidelines).

  * d/watch:
    - Bump watch version to 4.

  * d/rules:
    - Change build rules to build documentation.

  * d/source/lintian-overrides:
    - Updated tag to match rename.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 01 Aug 2022 02:02:30 +0200

projectile (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to mkdocs changes. (Closes: #1009433)

 -- Thomas Koch <thomas@koch.ro>  Thu, 19 May 2022 17:10:12 +0300

=== debian/control ===
Source: projectile
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 1.7),
 dh-exec,
 elpa-buttercup,
 asciidoctor,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.projectile.mx/
Vcs-Git: https://salsa.debian.org/emacsen-team/projectile.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/projectile

Package: elpa-projectile
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Breaks: emacs24 (<< 1:25.1), emacs24-lucid (<< 1:25.1), emacs24-nox (<< 1:25.1)
Recommends:
 emacs (>= 46.0),
Suggests:
 elpa-ag,
 ripgrep,
 fd-find,
 exuberant-ctags,
Enhances:
 emacs
Description: project interaction library for Emacs
 This library provides easy project management and navigation. The concept of a
 project is pretty basic - just a folder containing special file. Currently git,
 mercurial and bazaar repos are considered projects by default. If you want to
 mark a folder manually as a project just create an empty .projectile file in
 it.
 .
 Some of Projectile's features:
 .
   * jump to a file in project
   * jump to a project buffer
   * jump to a test in project
   * toggle between files with same names but different extensions (e.g. `.h`
     <-> `.c/.cpp`, `Gemfile` <-> `Gemfile.lock`)
   * toggle between code and its test (e.g. `main.service.js` <->
     `main.service.spec.js`)
   * jump to recently visited files in the project
   * switch between projects you have worked on
   * kill (close) all project buffers
   * replace in project
   * grep (search) in project
   * run shell commands in a project (e.g. `make`, `lein`)
   * support for multiple minibuffer completion/selection libraries (`ido`,
     `ivy`, `helm` and the default completion system)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

# We build html manual from asciidoc using asciidoctor
override_dh_auto_build:
	find doc -type f -name *.adoc -print0 | \
	xargs -0 asciidoctor -S secure -a webfonts!

override_dh_installchangelogs:
	dh_installchangelogs -XCHANGELOG.md

## projectile 2.7.0

=== debian/changelog ===
projectile (2.7.0-2) unstable; urgency=medium

  * Export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION (in autopkgtest as
    well) (Closes: #1030475).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 04 Feb 2023 17:30:35 +0100

projectile (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches (deleted 0007-Patch-upstream-source... : applied
    upstream).
  * Bump copyright years.
  * Bump standards version to 4.6.1 (no changes required).
  * d/rules: override dh_elpa_test to repair
    projectile-parse-dirconfig-file test during build (Closes: #1020100).
  * d/tests: add explicit autopkgtest command to repair
    projectile-parse-dirconfig-file test in autopkgtest.
  * d/control: replace dead link in Homepage: field (Closes: #1023243).
    Thanks to Adrian Bunk for reporting.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 26 Dec 2022 10:16:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  dh-exec,
  elpa-buttercup,
  asciidoctor,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: https://www.projectile.mx/
+Homepage: https://github.com/bbatsov/projectile
 Vcs-Git: https://salsa.debian.org/emacsen-team/projectile.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/projectile

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION := t
 
 %:
 	dh $@ --with elpa
@@ -8,5 +10,9 @@
 	find doc -type f -name *.adoc -print0 | \
 	xargs -0 asciidoctor -S secure -a webfonts!
 
+override_dh_elpa_test:
+	buttercup -L . \
+	--eval "(with-eval-after-load 'comp (push 'insert-file-contents native-comp-never-optimize-functions))"
+
 override_dh_installchangelogs:
 	dh_installchangelogs -XCHANGELOG.md

=== debian/tests/control ===
Tests: buttercup
Depends: dh-elpa (>= 1.7), elpa-buttercup
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/projectile-$1\.tar\.gz/ \
  https://github.com/bbatsov/projectile/tags \
  .*/v?(\d\S*)\.tar\.gz debian uupdate

## projectile 2.8.0

=== debian/changelog ===
projectile (2.8.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:31:26 +0900

projectile (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * d/control :
    - Bump Standards-Version to 4.6.2 (no changes required).
    - Remove Breaks on packages not anymore in the archive.
    - Remove redundant version on Recommends.
  * Remove d/tests (not needed anymore, default setting work).
  * d/s/lintian-overrides : rename override.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 21 Oct 2023 12:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-exec,
  elpa-buttercup,
  asciidoctor,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bbatsov/projectile
 Vcs-Git: https://salsa.debian.org/emacsen-team/projectile.git
@@ -20,9 +20,8 @@
 Depends:
  ${elpa:Depends},
  ${misc:Depends},
-Breaks: emacs24 (<< 1:25.1), emacs24-lucid (<< 1:25.1), emacs24-nox (<< 1:25.1)
 Recommends:
- emacs (>= 46.0),
+ emacs,
 Suggests:
  elpa-ag,
  ripgrep,
